<template>
  <v-dialog
    ref="addStorage"
    v-model="dialog"
    max-width="900px"
    persistent
  >
    <v-card>
      <v-form ref="form">
        <v-card-title class="text-left info pb-2">
          <h2
            class="headline"
            text-color="white"
          >
            ĐƠN HÀNG CHI TIẾT
          </h2>
        </v-card-title>

        <v-divider />

        <v-card-text>
          <v-container class="pt-0 pb-0 mb-0">
            <v-row
              cols="12"
              lg="12"
              class="ml-2 mr-5 light-gray pb-0"
            >
              <v-data-table
                :headers="headers"
                :items="saleOrderDetail"
                :hide-default-footer="true"
                class="table-list table-list-2"
                fixed-header
                height="250"
              >
                <template v-slot:item.quanity="{ item }">
                  <vuetify-money
                    slot="input"
                    v-model="item.quanity"
                    :options="optionsqty"
                    hide-details=""
                  />
                  <!-- {{ formatPrice(item.quanity, 0) }} -->
                </template>
                <template v-slot:item.price="{ item }">
                  <vuetify-money
                    slot="input"
                    v-model="item.price"
                    :options="optionsqty"
                    hide-details=""
                  />
                </template>
                <template v-slot:item.amount="{ item }">
                  {{ formatPrice(item.amount, 0) }}
                </template>
                <template v-slot:item.action="{ item }">
                  <v-btn
                    color="gray"
                    class="text-center w-icon w-25"
                    icon
                    @click="editProduct(item)"
                  >
                    <v-icon medium>
                      mdi-arrow-up-bold
                    </v-icon>
                  </v-btn>
                  <v-btn
                    color="red"
                    class="text-center w-icon w-25"
                    icon
                    @click="deleteProduct(item)"
                  >
                    <v-icon medium>
                      delete
                    </v-icon>
                  </v-btn>
                </template>
              </v-data-table>
            </v-row>
          </v-container>
        </v-card-text>

        <v-divider />

        <v-card-actions>
          <v-spacer />

          <v-btn
            color="primary"
            class="mr-0"
          >
            Cập Nhật
            <v-icon right>
              save
            </v-icon>
          </v-btn>

          <v-btn
            color="error"
            @click.native="dialog = false"
          >
            Đóng
            <v-icon right>
              clear
            </v-icon>
          </v-btn>
        </v-card-actions>
      </v-form>
    </v-card>
  </v-dialog>
</template>

<script>
  import axios from 'axios'
  import config from '../../config/config.js'

  export default {
    layout: 'addstorage',
    components: {},
    data () {
      return {
        dialog: false,
        optionsqty: {
          locale: 'pt-BR',
          prefix: '',
          suffix: '',
          length: 11,
          precision: 0,
        },
        headers: [
          {
            text: 'MÃ HÀNG',
            sortable: false,
            value: 'product_code',
            align: 'center',
            width: '90',
          },
          {
            text: 'TÊN HÀNG',
            sortable: false,
            value: 'product_name',
          },
          {
            text: 'ĐVT',
            sortable: false,
            value: 'size',
            width: '90',
            align: 'center',
          },
          {
            text: 'GIÁ BÁN',
            value: 'price',
            format: (v) => v && Number(v).toFixed(2),
            align: 'right',
            width: '110',
          },
          {
            text: 'SỐ LƯỢNG',
            value: 'quanity',
            format: (v) => v && Number(v).toFixed(0),
            align: 'right',
            width: '110',
          },
          {
            text: 'THÀNH TIỀN',
            value: 'amount',
            format: (v) => v && Number(v).toFixed(2),
            align: 'right',
            width: '120',
          },
          {
            text: '',
            sortable: false,
            align: 'center',
            value: 'action',
            width: '100',
          },
        ],
        saleOrderDetail: [
        ],
      }
    },
    computed: {},
    mounted: function () {
    },
    watch: {
    },
    created () {
    }, // end data
    methods: {
     formatPrice (value, tofix) {
        const val = (value / 1).toFixed(tofix).replace(',', '.')
        return val.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ',')
      },
    }, // end methods
  } // End exxport default
</script>
<style scoped>
.text-right {
  text-align: right;
}
.text-center {
  text-align: center;
}
table tr td {
  padding: 0 8px !important;
}

.table-list table thead tr th {
  background-color: #2196f3 !important;
  color: #ffffff;
}
.table-list table {
  border-collapse: collapse !important;
  border: 1px solid gray !important;
}
</style>
